﻿@model IEnumerable<Web.Models.Link>

<header class="text-center" style="font-size:40px;color:white;">Доступные ссылки</header>
<div id="modal-placeholder"></div>

<div class="container d-flex justify-content-between">

    <div id="panel" class="w-75">
        @await Html.PartialAsync("LinkSearch", Model)
    </div>
    <div class="w-25 border-left p-1">
        <form asp-action="Search" method="get" data-ajax="true" data-ajax-update="#panel">
            <div class="form-group mb-2">
                <label for="Name" class="text-white">По названию</label><br />
                <input class="w-100" type="text" name="Name" />
            </div>
            <div class="form-group text-white">
                <label class="text-white">По дате создания</label><br />
                От:<input type="date" class="form-control" name="DateBegin">
                До:<input type="date" class="form-control" name="DateEnd">
            </div>
            <div class="text-white">
                Сортировать по:
            </div>
            <select class="browser-default custom-select form-control" name="SortType">
                <option selected>нет</option>
                <option value="Name">Названию</option>
                <option value="CountClick">Популярности</option>
                <option value="DateCreate">Дате создания</option>
            </select>
            @*<select class="browser-default custom-select" name="Descending">
            <option value="false" selected>возрастанию</option>
            <option value="true">убыванию</option>
        </select>*@
            <div class="d-flex justify-content-between p-2">
                <input type="submit" value="Искать" class="btn btn-outline-dark" />
                <button type="reset" class="btn btn-outline-dark">Очистить</button>
            </div>
        </form>
    </div>
</div>
@section scripts{ 

}